メニュー
AWS Elastic Beanstalk
開発者ガイド (API Version 2010-12-01)

Python プラットフォーム履歴

このページには、AWS Elastic Beanstalk の Python プラットフォームの以前のバージョンと、各バージョンが最新であった日付が一覧表示されます。環境を起動するのに使用したプラットフォームバージョンは、最新でなくなった後もそのまま使用できます。

Elastic Beanstalk でサポートされる各プラットフォームの最新バージョンについては、事前構成済みプラットフォームのページを参照してください。最近のリリースに関する詳細なリリースノートは、aws.amazon.com/releasenotes で参照できます。

Elastic Beanstalk は、2017 年 1 月 28 日から 2017 年 3 月 7 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

設定およびソリューションスタックの名前

AMI

言語

パッケージマネージャー

パッケージャ

meld3

プロキシサーバー

Python 3.4 バージョン 2.3.1

Python 3.4 を実行する 64 ビット Amazon Linux 2016.09 v2.3.1

2016.09.0

Python 3.4.3

pip 7.1.2

setuptools 18.4

meld3 1.0.2

Apache 2.4.18 と mod_wsgi 3.5

Python 2.7 バージョン 2.3.1

Python 2.7 を実行する 64 ビット Amazon Linux 2016.09 v2.3.1

2016.09.0

Python 2.7.10

pip 7.1.2

setuptools 18.4

meld3 1.0.2

Apache 2.4.18 と mod_wsgi 3.5

Python 2.6 バージョン 2.3.1

Python を実行する 64 ビット Amazon Linux 2016.09 v2.3.1

2016.09.0

Python 2.6.9

pip 7.1.2

setuptools 18.4

meld3 1.0.2

Apache 2.4.18 と mod_wsgi 3.5

Elastic Beanstalk は、2016 年 12 月 22 日から 2017 年 1 月 27 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

設定およびソリューションスタックの名前

AMI

言語

パッケージマネージャー

パッケージャ

meld3

プロキシサーバー

Python 3.4 バージョン 2.3.0

Python 3.4 を実行する 64 ビット Amazon Linux 2016.09 v2.3.0

2016.09.0

Python 3.4.3

pip 7.1.2

setuptools 18.4

meld3 1.0.2

Apache 2.4.18 と mod_wsgi 3.5

Python 2.7 バージョン 2.3.0

Python 2.7 を実行する 64 ビット Amazon Linux 2016.09 v2.3.0

2016.09.0

Python 2.7.10

pip 7.1.2

setuptools 18.4

meld3 1.0.2

Apache 2.4.18 と mod_wsgi 3.5

Python 2.6 バージョン 2.3.0

Python を実行する 64 ビット Amazon Linux 2016.09 v2.3.0

2016.09.0

Python 2.6.9

pip 7.1.2

setuptools 18.4

meld3 1.0.2

Apache 2.4.18 と mod_wsgi 3.5

Elastic Beanstalk は、2016 年 10 月 28 日から 2016 年 12 月 21 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

設定およびソリューションスタックの名前

AMI

言語

パッケージマネージャー

パッケージャ

meld3

プロキシサーバー

Python 3.4 バージョン 2.2.0

Python 3.4 を実行する 64 ビット Amazon Linux 2016.09 v2.2.0

2016.09.0

Python 3.4.3

pip 7.1.2

setuptools 18.4

meld3 1.0.2

Apache 2.4.18 と mod_wsgi 3.5

Python 2.7 バージョン 2.2.0

Python 2.7 を実行する 64 ビット Amazon Linux 2016.09 v2.2.0

2016.09.0

Python 2.7.10

pip 7.1.2

setuptools 18.4

meld3 1.0.2

Apache 2.4.18 と mod_wsgi 3.5

Python 2.6 バージョン 2.2.0

Python を実行する 64 ビット Amazon Linux 2016.09 v2.2.0

2016.09.0

Python 2.6.9

pip 7.1.2

setuptools 18.4

meld3 1.0.2

Apache 2.4.18 と mod_wsgi 3.5

Elastic Beanstalk は、2016 年 8 月 24 日から 2016 年 10 月 27 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

設定およびソリューションスタックの名前

AMI

言語

パッケージマネージャー

パッケージャ

meld3

プロキシサーバー

Python 3.4 バージョン 2.1.6

Python 3.4 を実行する 64 ビット Amazon Linux 2016.03 v2.1.6

2016.03.3

Python 3.4.3

pip 7.1.2

setuptools 18.4

meld3 1.0.2

Apache 2.4.18 と mod_wsgi 3.5

Python 2.7 バージョン 2.1.6

Python 2.7 を実行する 64 ビット Amazon Linux 2016.03 v2.1.6

2016.03.3

Python 2.7.10

pip 7.1.2

setuptools 18.4

meld3 1.0.2

Apache 2.4.18 と mod_wsgi 3.5

Python 2.6 バージョン 2.1.6

Python を実行する 64 ビット Amazon Linux 2016.03 v2.1.6

2016.03.3

Python 2.6.9

pip 7.1.2

setuptools 18.4

meld3 1.0.2

Apache 2.4.18 と mod_wsgi 3.5

Elastic Beanstalk は、2016 年 6 月 26 日から 2016 年 8 月 24 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

設定およびソリューションスタックの名前

AMI

言語

パッケージマネージャー

パッケージャ

meld3

プロキシサーバー

Python 3.4 バージョン 2.1.3

Python 3.4 を実行する 64 ビット Amazon Linux 2016.03 v2.1.3

2016.03.2

Python 3.4.3

pip 7.1.2

setuptools 18.4

meld3 1.0.2

Apache 2.4.18 と mod_wsgi 3.5

Python 2.7 バージョン 2.1.3

Python 2.7 を実行する 64 ビット Amazon Linux 2016.03 v2.1.3

2016.03.2

Python 2.7.10

pip 7.1.2

setuptools 18.4

meld3 1.0.2

Apache 2.4.18 と mod_wsgi 3.5

Python 2.6 バージョン 2.1.3

Python を実行する 64 ビット Amazon Linux 2016.03 v2.1.3

2016.03.2

Python 2.6.9

pip 7.1.2

setuptools 18.4

meld3 1.0.2

Apache 2.4.18 と mod_wsgi 3.5

Elastic Beanstalk は、2016 年 4 月 7 日から 2016 年 6 月 26 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

設定およびソリューションスタックの名前

AMI

言語

パッケージマネージャー

パッケージャ

meld3

プロキシサーバー

Python 3.4 バージョン 2.1.0

Python 3.4 を実行する 64 ビット Amazon Linux 2016.03 v2.1.0

2016.03

Python 3.4.3

pip 7.1.2

setuptools 18.4

meld3 1.0.2

Apache 2.4.18 と mod_wsgi 3.5

Python 2.7 バージョン 2.1.0

Python 2.7 を実行する 64 ビット Amazon Linux 2016.03 v2.1.0

2016.03

Python 2.7.10

pip 7.1.2

setuptools 18.4

meld3 1.0.2

Apache 2.4.18 と mod_wsgi 3.5

Python 2.6 バージョン 2.1.0

Python を実行する 64 ビット Amazon Linux 2016.03 v2.1.0

2016.03

Python 2.6.9

pip 7.1.2

setuptools 18.4

meld3 1.0.2

Apache 2.4.18 と mod_wsgi 3.5

Elastic Beanstalk は、2016 年 2 月 26 日から 2016 年 4 月 7 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

設定およびソリューションスタックの名前

AMI

言語

ウェブサーバー

Python 3.4 バージョン 2.0.8

Python 3.4 を実行する 64 ビット Amazon Linux 2015.09 v2.0.8

2015.09

Python 3.4.3

Apache 2.4.16 と mod_wsgi 3.5

Python 2.7 バージョン 2.0.8

Python 2.7 を実行する 64 ビット Amazon Linux 2015.09 v2.0.8

2015.09

Python 2.7.10

Apache 2.4.16 と mod_wsgi 3.5

Python 2.6 バージョン 2.0.8

Python を実行する 64 ビット Amazon Linux 2015.09 v2.0.8

2015.09

Python 2.6.9

Apache 2.4.16 と mod_wsgi 3.5

Elastic Beanstalk は、2016 年 2 月 11 日から 2016 年 2 月 26 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

設定およびソリューションスタックの名前

AMI

言語

ウェブサーバー

Python 3.4 バージョン 2.0.7

Python 3.4 を実行する 64 ビット Amazon Linux 2015.09 v2.0.7

2015.09

Python 3.4.3

Apache 2.4.16 と mod_wsgi 3.5

Python 2.7 バージョン 2.0.7

Python 2.7 を実行する 64 ビット Amazon Linux 2015.09 v2.0.7

2015.09

Python 2.7.10

Apache 2.4.16 と mod_wsgi 3.5

Python 2.6 バージョン 2.0.7

Python を実行する 64 ビット Amazon Linux 2015.09 v2.0.7

2015.09

Python 2.6.9

Apache 2.4.16 と mod_wsgi 3.5

Elastic Beanstalk は、2016 年 1 月 11 日から 2016 年 2 月 11 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

設定およびソリューションスタックの名前

AMI

言語

ウェブサーバー

Python 3.4 バージョン 2.0.6

Python 3.4 を実行する 64 ビット Amazon Linux 2015.09 v2.0.6

2015.09

Python 3.4.3

Apache 2.4.16 と mod_wsgi 3.5

Python 2.7 バージョン 2.0.6

Python 2.7 を実行する 64 ビット Amazon Linux 2015.09 v2.0.6

2015.09

Python 2.7.10

Apache 2.4.16 と mod_wsgi 3.5

Python 2.6 バージョン 2.0.6

Python を実行する 64 ビット Amazon Linux 2015.09 v2.0.6

2015.09

Python 2.6.9

Apache 2.4.16 と mod_wsgi 3.5

Elastic Beanstalk は、2015 年 11 月 2 日から 2016 年 1 月 11 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

設定およびソリューションスタックの名前

AMI

言語

ウェブサーバー

Python 3.4 バージョン 2.0.4

Python 3.4 を実行する 64 ビット Amazon Linux 2015.09 v2.0.4

2015.09

Python 3.4.3

Apache 2.4.16 と mod_wsgi 3.5

Python 2.7 バージョン 2.0.4

Python 2.7 を実行する 64 ビット Amazon Linux 2015.09 v2.0.4

2015.09

Python 2.7.10

Apache 2.4.16 と mod_wsgi 3.5

Python 2.6 バージョン 2.0.4

Python を実行する 64 ビット Amazon Linux 2015.09 v2.0.4

2015.09

Python 2.6.9

Apache 2.4.16 と mod_wsgi 3.5

Elastic Beanstalk は、2015 年 9 月 18 日から 2015 年 11 月 2 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

設定およびソリューションスタックの名前

AMI

言語

ウェブサーバー

Python 3.4 バージョン 2.0.1

Python 3.4 を実行する 64 ビット Amazon Linux 2015.03 v2.0.1

2015.03

Python 3.4.3

Apache 2.4.12 と mod_wsgi 3.5

Python 2.7 バージョン 2.0.1

Python 2.7 を実行する 64 ビット Amazon Linux 2015.03 v2.0.1

2015.03

Python 2.7.9

Apache 2.4.12 と mod_wsgi 3.5

Python 2.6 バージョン 2.0.1

Python を実行する 64 ビット Amazon Linux 2015.03 v2.0.1

2015.03

Python 2.6.9

Apache 2.4.12 と mod_wsgi 3.5

Elastic Beanstalk は、2015 年 8 月 11 日から 2015 年 9 月 18 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

設定およびソリューションスタックの名前 AMI 言語 ウェブサーバー

Python 3.4 バージョン 2.0.0

Python 3.4 を実行する 64 ビット Amazon Linux 2015.03 v2.0.0

2015.03

Python 3.4.3

Apache 2.4.12 と mod_wsgi 3.5

Python 2.7 バージョン 2.0.0

Python 2.7 を実行する 64 ビット Amazon Linux 2015.03 v2.0.0

2015.03

Python 2.7.9

Apache 2.4.12 と mod_wsgi 3.5

Python 2.6 バージョン 2.0.0

Python を実行する 64 ビット Amazon Linux 2015.03 v2.0.0

2015.03

Python 2.6.9

Apache 2.4.12 と mod_wsgi 3.5

Elastic Beanstalk は、2015 年 8 月 3 日から 2015 年 8 月 11 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

設定およびソリューションスタックの名前 AMI 言語 ウェブサーバー

Python 3.4 バージョン 1.4.6

Python 3.4 を実行する 64 ビット Amazon Linux 2015.03 v1.4.6

2015.03

Python 3.4.3

Apache 2.4.12 と mod_wsgi 3.5

Python 2.7 バージョン 1.4.6

Python 2.7 を実行する 64 ビット Amazon Linux 2015.03 v1.4.6

2015.03

Python 2.7.9

Apache 2.4.12 と mod_wsgi 3.5

Python 2.6 バージョン 1.4.6

Python を実行する 64 ビット Amazon Linux 2015.03 v1.4.6

2015.03

Python 2.6.9

Apache 2.4.12 と mod_wsgi 3.5

Elastic Beanstalk は、2015 年 6 月 15 日から 2015 年 8 月 3 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

設定およびソリューションスタックの名前 AMI 言語 ウェブサーバー

Python 3.4 バージョン 1.4.3

Python 3.4 を実行する 64 ビット Amazon Linux 2015.03 v1.4.3

2015.03

Python 3.4.3

Apache 2.4.12 と mod_wsgi 3.5

Python 2.7 バージョン 1.4.3

Python 2.7 を実行する 64 ビット Amazon Linux 2015.03 v1.4.3

2015.03

Python 2.7.9

Apache 2.4.12 と mod_wsgi 3.5

Python 2.6 バージョン 1.4.3

Python を実行する 64 ビット Amazon Linux 2015.03 v1.4.3

2015.03

Python 2.6.9

Apache 2.4.12 と mod_wsgi 3.5

Elastic Beanstalk は、2015 年 5 月 27 日から 2015 年 6 月 15 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

Python 設定

名前 AMI 言語 ウェブサーバー

Python 3.4 を実行する 64 ビット Amazon Linux 2015.03 v1.4.1

2015.03

Python 3.4.3

Apache 2.4.12 と mod_wsgi 3.5

Python 2.7 を実行する 64 ビット Amazon Linux 2015.03 v1.4.1

2015.03

Python 2.7.9

Apache 2.4.12 と mod_wsgi 3.5

Python 2.6 を実行する 64 ビット Amazon Linux 2015.03 v1.4.1

2015.03

Python 2.6.9

Apache 2.4.12 と mod_wsgi 3.5

Elastic Beanstalk は、2015 年 26 月 22 日から 2015 年 5 月 4 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

Python コンテナタイプ

名前 AMI 言語 ウェブサーバー

Python 3.4 を実行する 64 ビット Amazon Linux 2015.03 v1.3.1

2015.03

Python 3.4.3

Apache 2.4.12 と mod_wsgi 3.5

Python 2.7 を実行する 64 ビット Amazon Linux 2015.03 v1.3.1

2015.03

Python 2.7.9

Apache 2.4.12 と mod_wsgi 3.5

Python 2.6 を実行する 64 ビット Amazon Linux 2015.03 v1.3.1

2015.03

Python 2.6.9

Apache 2.4.12 と mod_wsgi 3.5

Elastic Beanstalk は、2015 年 4 月 8 日から 2015 年 4 月 21 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

Python コンテナタイプ

名前 AMI 言語 ウェブサーバー

Python 3.4 を実行する 64 ビット Amazon Linux 2015.03 v1.3.0

2015.03

Python 3.4.3

Apache 2.4.12 と mod_wsgi 3.5

Python 2.7 を実行する 64 ビット Amazon Linux 2015.03 v1.3.0

2015.03

Python 2.7.9

Apache 2.4.12 と mod_wsgi 3.5

Python 2.6 を実行する 64 ビット Amazon Linux 2015.03 v1.3.0

2015.03

Python 2.6.9

Apache 2.4.12 と mod_wsgi 3.5

Elastic Beanstalk は、2015 年 2 月 17 日から 2015 年 4 月 7 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

Python コンテナタイプ

名前 AMI 言語 ウェブサーバー

Python 2.7 を実行する 64 ビット Amazon Linux 2014.09 v1.2.0

2014.09

Python 2.7.8

Apache 2.4.10 と mod_wsgi 3.5

Python 2.6 を実行する 64 ビット Amazon Linux 2014.09 v1.2.0

2014.09

Python 2.6.9

Apache 2.4.10 と mod_wsgi 3.5

Elastic Beanstalk は、2015 年 1 月 28 日から 2015 年 2 月 16 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

Python コンテナタイプ

名前 AMI 言語 ウェブサーバー

Python 2.7 を実行する 64 ビット Amazon Linux 2014.09 v1.1.01

2014.09

Python 2.7.5

Apache 2.4.10 と mod_wsgi 3.5

Python を実行する 64 ビット Amazon Linux 2014.09 v1.1.01

2014.09

Python 2.6.9

Apache 2.4.10 と mod_wsgi 3.5

Python 2.7 を実行する 32 ビット Amazon Linux 2014.03 v1.1.01

2014.03

Python 2.7.5

Apache 2.4.10 と mod_wsgi 3.2

Python 2.7 を実行する 64 ビット Amazon Linux 2014.03 v1.1.01

2014.03

Python 2.7.5

Apache 2.4.10 と mod_wsgi 3.2

Python を実行する 32 ビット Amazon Linux 2014.03 v1.1.01

2014.03

Python 2.6.9

Apache 2.4.10 と mod_wsgi 3.2

Python を実行する 64 ビット Amazon Linux 2014.03 v1.1.01

2014.03

Python 2.6.9

Apache 2.4.10 と mod_wsgi 3.2

1CVE-2015-0235 Advisory (Ghost)

Elastic Beanstalk は、2014 年 10 月 31 日から 2015 年 1 月 27 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

Python コンテナタイプ

名前 AMI 言語 ウェブサーバー

Python 2.7 を実行する 64 ビット Amazon Linux 2014.09 v1.0.9

2014.09

Python 2.7.5

Apache 2.4.10 と mod_wsgi 3.5

Python を実行する 64 ビット Amazon Linux 2014.09 v1.0.9

2014.09

Python 2.6.9

Apache 2.4.10 と mod_wsgi 3.5

Elastic Beanstalk は、2014 年 10 月 16 日から 2014 年 10 月 30 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

Python コンテナタイプ

名前 AMI 言語 ウェブサーバー

Python 2.7 を実行する 32 ビット Amazon Linux 2014.03 v1.0.91

2014.03

Python 2.7

Apache と mod_wsgi 3.2

Python 2.7 を実行する 64 ビット Amazon Linux 2014.03 v1.0.91

2014.03

Python 2.7

Apache と mod_wsgi 3.2

Python を実行する 32 ビット Amazon Linux 2014.03 v1.0.91

2014.03

Python 2.6

Apache と mod_wsgi 3.2

Python を実行する 64 ビット Amazon Linux 2014.03 v1.0.91

2014.03

Python 2.6

Apache と mod_wsgi 3.2

1CVE-2014-3566 アドバイザリ

Elastic Beanstalk は、2014 年 9 月 24 日から 2014 年 10 月 15 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

Python コンテナタイプ

名前 AMI 言語 ウェブサーバー

Python 2.7 を実行する 32 ビット Amazon Linux 2014.03 v1.0.71

2014.03

Python 2.7

Apache と mod_wsgi 3.2

Python 2.7 を実行する 64 ビット Amazon Linux 2014.03 v1.0.71

2014.03

Python 2.7

Apache と mod_wsgi 3.2

Python を実行する 32 ビット Amazon Linux 2014.03 v1.0.71

2014.03

Python 2.6

Apache と mod_wsgi 3.2

Python を実行する 64 ビット Amazon Linux 2014.03 v1.0.71

2014.03

Python 2.6

Apache と mod_wsgi 3.2

1 CVE-2014-6271 アドバイザリおよび ALAS-2014-419

Elastic Beanstalk は、2014 年 6 月 30 日から 2014 年 9 月 23 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

Python コンテナタイプ

名前 AMI 言語 ウェブサーバー

Python 2.7 を実行する 64 ビット Amazon Linux 2014.03 v1.0.4

2014.03

Python 2.7

Apache と mod_wsgi 3.2

Python を実行する 64 ビット Amazon Linux 2014.03 v1.0.4

2014.03

Python 2.6

Apache と mod_wsgi 3.2

Elastic Beanstalk は、2014 年 6 月 5 日から 2014 年 6 月 29 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

Python コンテナタイプ

名前 AMI 言語 ウェブサーバー

Python 2.7 を実行する 32 ビット Amazon Linux 2014.03 v1.0.31

2014.03

Python 2.7

Apache と mod_wsgi 3.2

Python 2.7 を実行する 64 ビット Amazon Linux 2014.03 v1.0.31

2014.03

Python 2.7

Apache と mod_wsgi 3.2

Python を実行する 32 ビット Amazon Linux 2014.03 v1.0.31

2014.03

Python 2.6

Apache と mod_wsgi 3.2

Python を実行する 64 ビット Amazon Linux 2014.03 v1.0.31

2014.03

Python 2.6

Apache と mod_wsgi 3.2

1 OpenSSL セキュリティアドバイザリ

Elastic Beanstalk は、2014 年 5 月 5 日から 2014 年 6 月 4 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

Python コンテナタイプ

名前 AMI 言語 ウェブサーバー

Python 2.7 を実行する 32 ビット Amazon Linux 2014.03 v1.0.2

2014.03

Python 2.7

Apache と mod_wsgi 3.2

Python 2.7 を実行する 64 ビット Amazon Linux 2014.03 v1.0.2

2014.03

Python 2.7

Apache と mod_wsgi 3.2

Python を実行する 32 ビット Amazon Linux 2014.03 v1.0.2

2014.03

Python 2.6

Apache と mod_wsgi 3.2

Python を実行する 64 ビット Amazon Linux 2014.03 v1.0.2

2014.03

Python 2.6

Apache と mod_wsgi 3.2

Elastic Beanstalk は、2014 年 4 月 7 日から 2014 年 5 月 4 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

Python コンテナタイプ

名前 AMI 言語 ウェブサーバー

Python 2.7 を実行する 32 ビット Amazon Linux 2013.09 v1.0.11

2013.09

Python 2.7

Apache と mod_wsgi 3.2

Python 2.7 を実行する 64 ビット Amazon Linux 2013.09 v1.0.11

2013.09

Python 2.7

Apache と mod_wsgi 3.2

Python を実行する 32 ビット Amazon Linux 2013.09 v1.0.11

2013.09

Python 2.6

Apache と mod_wsgi 3.2

Python を実行する 64 ビット Amazon Linux 2013.09 v1.0.11

2013.09

Python 2.6

Apache と mod_wsgi 3.2

1 openssl-1.0.1e-4.58.amzn1

Elastic Beanstalk は、2013 年 11 月 7 日から 2014 年 4 月 6 日までに作成された Python 環境については、次のプラットフォーム設定をサポートしています。

Python コンテナタイプ

名前 AMI 言語 ウェブサーバー

Python 2.7 を実行する 32 ビット Amazon Linux 2013.09

2013.09

Python 2.7

Apache と mod_wsgi 3.2

Python 2.7 を実行する 64 ビット Amazon Linux 2013.09

2013.09

Python 2.7

Apache と mod_wsgi 3.2

Python を実行する 32 ビット Amazon Linux 2013.09

2013.09

Python 2.6

Apache と mod_wsgi 3.2

Python を実行する 64 ビット Amazon Linux 2013.09

2013.09

Python 2.6

Apache と mod_wsgi 3.2

Elastic Beanstalk は、2013 年 11 月 7 日より前に Python コンテナで作成された環境に対しては、以下のコンテナタイプをサポートしています。

Python コンテナタイプ

名前 AMI 言語 ウェブサーバー

Python を実行する 32 ビット Amazon Linux

2012.09

Python 2.6

Apache と mod_wsgi 3.2

Python を実行する 64 ビット Amazon Linux

2012.09

Python 2.6

Apache と mod_wsgi 3.2